#! /usr/bin/perl -w
#
# RedHat Linux specific functions.
#
# Author: Sven Backhausen <backhausen@lanthan.de>
#
use strict;

# returns an array containing the names of all active interfaces.
sub readactiveinterfaces {
	my @ifaces = ();
	open(IFC, "/sbin/ifconfig -a |")
		or die "Cannot execute \'ifconfig\'. $!\n";
	while (<IFC>) {
		chomp;
		# the name of the interface starts at the beginning of a line
		# and ends before the first whitespace
		if (/^\w+/) {
			/^(\w+)\b/;
			push(@ifaces, $1);
		}
	}
	close IFC;
	sort @ifaces;
}

1; # return true.
