#! /usr/bin/perl
#
# Edit NoCat Gateway Logging Settings
#
# Author: Sven Backhausen <backhausen@lanthan.de>
#
require './nocat-lib.pl';
my %currentconfig = &readcurrentconfig("$config{gateway_conf}", "gateway");
&header($text{'gw_logging_title'}, "");
print "<hr>\n";
print "<FORM action=save_gateway.cgi>\n";
print "<TABLE border=1><TR $tb><TH colspan=4>$text{'gw_logging_header'}</TH></TR>\n";
print "	<TR $cb><TH>Verbosity:</TH>\n";
print "	    <TD><SELECT name=Verbosity size=1>\n";
foreach (0..10) {
	printf "	<OPTION %s>$_</OPTION>\n", ($currentconfig{Verbosity} == $_) ? selected : "";
}
print "		</SELECT></TD>\n";
print "	    <TH>GatewayLog:</TH>\n";
printf "		<TD><INPUT type=radio name=GatewayLog_def %s value=1>STDERR\n", $currentconfig{GatewayLog_def} ? checked : '';
printf "		    <INPUT type=radio name=GatewayLog_def %s value=0>\n", $currentconfig{GatewayLog_def} ? '' : checked;
printf "    		    <INPUT type=text name=GatewayLog size=35 value=%s></TD>\n", $currentconfig{GatewayLog};
print "	</TR>\n";
print "	<TR $cb><TH>LogFacility:</TH>\n";
print "	    <TD><SELECT name=LogFacility size=1>\n";
printf "		<OPTION %s>internal</OPTION>\n", ($currentconfig{LogFacility_def} || ($currentconfig{LogFacility} eq "internal")) ? selected : "";
printf "		<OPTION %s>syslog</OPTION>\n", ($currentconfig{LogFacility} eq "syslog") ? selected : "";
print "		</SELECT></TD>\n";
print "	    <TH>SyslogSocket:</TH>\n";
print "	    <TD><SELECT name=SyslogSocket size=1>\n";
printf "		<OPTION %s>unix</OPTION>\n", ($currentconfig{SyslogSocket_def} || ($currentconfig{SyslogSocket} eq "unix")) ? selected : "";
printf "		<OPTION %s>inet</OPTION>\n", ($currentconfig{SyslogSocket} eq "inet") ? selected : ""; 
print "		</SELECT></TD>\n";
print "	</TR>\n";
print "	<TR $cb><TH>SyslogOptions:</TH>\n";
print "	    <TD><SELECT name=SyslogOptions size=4 multiple>\n";
printf "			<OPTION %s>pid</OPTION>\n", ($currentconfig{SyslogOptions_def} || ($currentconfig{SyslogOptions} =~ /pid/)) ? selected : "";
printf "			<OPTION %s>ndelay</OPTION>\n", ($currentconfig{SyslogOptions} =~ /ndelay/) ? selected : "";
printf "			<OPTION %s>cons</OPTION>\n", ($currentconfig{SyslogOptions_def} || ($currentconfig{SyslogOptions} =~ /cons/)) ? selected : "";
printf "			<OPTION %s>nowait</OPTION>\n", ($currentconfig{SyslogOptions} =~ /nowait/) ? selected : "";
print "		</SELECT></TD>\n";
print "	    <TH>SyslogPriority:</TH>\n";
print "	    <TD><SELECT name=SyslogPriority size=1>\n";
printf "		<OPTION %s>INFO</OPTION>\n", ($currentconfig{SyslogPriority_def} || ($currentconfig{SyslogPriority} eq "INFO")) ? selected : "";
printf "		<OPTION %s>EMERG</OPTION>\n", ($currentconfig{SyslogPriority} eq "EMERG") ? selected : "";
printf "		<OPTION %s>ALERT</OPTION>\n", ($currentconfig{SyslogPriority} eq "ALERT") ? selected : "";
printf "		<OPTION %s>CRIT</OPTION>\n", ($currentconfig{SyslogPriority} eq "CRIT") ? selected : "";
printf "		<OPTION %s>ERR</OPTION>\n", ($currentconfig{SyslogPriority} eq "ERR") ? selected : "";
printf "		<OPTION %s>WARNING</OPTION>\n", ($currentconfig{SyslogPriority} eq "WARNING") ? selected : "";
printf "		<OPTION %s>NOTICE</OPTION>\n", ($currentconfig{SyslogPriority} eq "NOTICE") ? selected : "";
printf "		<OPTION %s>DEBUG</OPTION>\n", ($currentconfig{SyslogPriority} eq "DEBUG") ? selected : "";
print "		</SELECT></TD>\n";
print "	</TR>\n";
print "	<TR $cb><TH>SyslogIdent:</TH>\n";
printf "    <TD colspan=3><INPUT type=radio name=SyslogIdent_def %s value=1>default\n", $currentconfig{SyslogIdent_def} ? checked : '';
printf "		  <INPUT type=radio name=SyslogIdent_def %s value=0>\n", $currentconfig{SyslogIdent_def} ? '' : checked;
printf "		  <INPUT type=text name=SyslogIdent size=35 value=%s></TD>\n", $currentconfig{SyslogIdent};
print "</TR></TABLE>\n";
print "<INPUT type=submit value=\"$text{'save'}\"></form>\n";
print "<HR>\n";
&footer("index_gateway.cgi", $text{'index_gateway_return'});
