#! /usr/bin/perl
#
# Edit NoCat Gateway Network Settings
#
# Author: Sven Backhausen <backhausen@lanthan.de>
#
require './nocat-lib.pl';
my %currentconfig = &readcurrentconfig("$config{gateway_conf}","gateway");
&header($text{'gw_network_title'}, "");
my @activeifs = &readactiveinterfaces;
print "<hr>\n";
print "<FORM action=save_gateway.cgi>\n";
print "<TABLE border=1><TR $tb><TH colspan=4>$text{'gw_network_header'}</TH></TR>\n";
print "<TR $cb><TH>ExternalDevice:</TH>\n";
print "	   <TD><SELECT name=ExternalDevice size=1>\n";
printf "	<OPTION %s>%s</OPTION>\n",$currentconfig{ExternalDevice_def} ? selected : "", default;
foreach (@activeifs) {
	printf "	<OPTION %s>%s</OPTION>\n",($currentconfig{ExternalDevice} eq "$_") ? selected : "", $_;
}
print "		</SELECT></TD>\n";
print "    <TH>InternalDevice:</TH>\n";
print "	   <TD><SELECT name=InternalDevice size=1>\n";
printf "        <OPTION %s>%s</OPTION>\n",$currentconfig{InternalDevice_def} ? selected : "", default;
foreach (@activeifs) {
        printf "        <OPTION %s>%s</OPTION>\n",($currentconfig{InternalDevice} eq "$_") ? selected : "", $_;
}
print "    </SELECT></TD>\n";
print "</TR>\n";
print "<TR $cb><TH>LocalNetwork:</TH>\n";
unless ($currentconfig{LocalNetwork_def}) {
	my $ip = $currentconfig{LocalNetwork};
	$ip =~ m%^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})/(\d{1,2})%;
	$currentconfig{LocalNetwork_IP1} = $1;
        $currentconfig{LocalNetwork_IP2} = $2;
        $currentconfig{LocalNetwork_IP3} = $3;
        $currentconfig{LocalNetwork_IP4} = $4;
        $currentconfig{LocalNetwork_NM} = $5;
}
printf "    <TD colspan=3><INPUT type=radio name=LocalNetwork_def %s value=1>default\n", $currentconfig{LocalNetwork_def} ? checked : "";
printf "	<INPUT type=radio name=LocalNetwork_def %s value=0>\n", $currentconfig{LocalNetwork_def} ? "" : checked;
printf "	<INPUT type=text name=LocalNetwork_IP1 size=3 maxlength=3 value=%s>.\n", $currentconfig{LocalNetwork_IP1};
printf "	<INPUT type=text name=LocalNetwork_IP2 size=3 maxlength=3 value=%s>.\n", $currentconfig{LocalNetwork_IP2};
printf "	<INPUT type=text name=LocalNetwork_IP3 size=3 maxlength=3 value=%s>.\n", $currentconfig{LocalNetwork_IP3};
printf "	<INPUT type=text name=LocalNetwork_IP4 size=3 maxlength=3 value=%s>/\n", $currentconfig{LocalNetwork_IP4};
print "		<SELECT name=LocalNetwork_NM size=1>\n";
printf "		<OPTION %s></OPTION>\n", $currentconfig{LocalNetwork_def} ? selected : "";
foreach (2..31) {
	printf "	<OPTION %s>$_</OPTION>\n", ($currentconfig{LocalNetwork_NM} eq "$_") ? selected : "";
}
print "		</SELECT>\n";
print "		</TD>\n";
print "</TR>\n";
print "<TR $cb><TH>DNSAddr:</TH>\n";
unless ($currentconfig{DNSAddr_def}) {
        my $ip = $currentconfig{DNSAddr};
        $ip =~ m%^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})%;
        $currentconfig{DNSAddr_IP1} = $1;
        $currentconfig{DNSAddr_IP2} = $2;
        $currentconfig{DNSAddr_IP3} = $3;
        $currentconfig{DNSAddr_IP4} = $4;
}
printf "    <TD colspan=3><INPUT type=radio name=DNSAddr_def %s value=1>default\n", $currentconfig{DNSAddr_def} ? checked : "";
printf "		    <INPUT type=radio name=DNSAddr_def %s value=0>\n", $currentconfig{DNSAddr_def} ? "" : checked;
printf "	    <INPUT type=text name=DNSAddr_IP1 size=3 maxlength=3 value=%s>.\n", $currentconfig{DNSAddr_IP1};
printf "	    <INPUT type=text name=DNSAddr_IP2 size=3 maxlength=3 value=%s>.\n", $currentconfig{DNSAddr_IP2};
printf "	    <INPUT type=text name=DNSAddr_IP3 size=3 maxlength=3 value=%s>.\n", $currentconfig{DNSAddr_IP3};
printf "	    <INPUT type=text name=DNSAddr_IP4 size=3 maxlength=3 value=%s>\n", $currentconfig{DNSAddr_IP4};
print "		    </TD>\n";
print "</TR>\n";
print "<TR $cb><TH>RouteOnly:</TH>\n";
printf "    <TD colspan=3><INPUT type=radio name=RouteOnly %s value=1>yes\n", ($currentconfig{RouteOnly} == 1) ? checked : "";
printf "		  <INPUT type=radio name=RouteOnly %s value=0>no</TD>\n", ($currentconfig{RouteOnly_def} || ($currentconfig{RouteOnly} == 0)) ? checked : "";
print "</TR></TABLE>\n";
print "<INPUT type=submit value=\"$text{'save'}\"></form>\n";
print "<HR>\n";
&footer("index_gateway.cgi", $text{'index_gateway_return'});

