#! /usr/bin/perl
#
# Save the settings in the config file.
#
# Author: Sven Backhausen <backhausen@lanthan.de>
#
require './nocat-lib.pl';
my $debug = 1;
&ReadParse;
&error_setup("Save Settings");
my %currentconfig = readcurrentconfig("$config{authserv_conf}", "authserv");
my $configref = &read_file_lines("$config{authserv_conf}");
open TMP, "> /tmp/save.test"
		or die "geht nicht. $!" if ($debug == 1);
if (exists $in{LocalGateway_IP1}) {
	$in{LocalGateway} = "$in{LocalGateway_IP1}.$in{LocalGateway_IP2}.$in{LocalGateway_IP3}.$in{LocalGateway_IP4}";
	delete $in{LocalGateway_IP1};
	delete $in{LocalGateway_IP2};
	delete $in{LocalGateway_IP3};
	delete $in{LocalGateway_IP4};
}

foreach (reverse sort keys %in) {
	my $key = ();
	my $use_default = 0;
	my $mark_done = 0;
	if (/\w+_def/) {
		my @key = split /_/;
		$key = $key[0];
		$use_default = $in{$_};
	} else {
		if ($in{$_} eq "") {
			$use_default = 1;
		}
		$key = $_;
	}
	print TMP "\$_: $_ \$key: $key \$use_default: $use_default Value: $in{$_}\n" if ($debug == 1);
	foreach (@{$configref}) {
		if ( /^\s*\b$key\b\s+.*/ ) {
			if ($use_default == 1) {
				print TMP "Definition von $key gefunden.\n" if ($debug == 1);
				print TMP "-$_\n" if ($debug == 1);
				print TMP "+#$_\n" if ($debug == 1);
				$_ = "#" . $_;
			} else {
				print TMP "Definition von $key gefunden.\n" if ($debug == 1);
				print TMP "-$_\n" if ($debug == 1);
				print TMP "+$key	$in{$key}\n" if ($debug == 1);
				$_ = "$key	$in{$key}";
			}
			$mark_done = 1;
		}
	}
	if ($use_default == 1) {
		$in{$key} = "";
	} else {
		unless ($mark_done) {
			print TMP "Hnge an: $key	$in{$key}\n" if ($debug == 1);
			push(@{$configref},"$key	$in{$key}");
			$mark_done = 1;
		}
	}
}
close TMP if ($debug == 1);
&flush_file_lines;
&redirect("index_authserv.cgi");
