#! /usr/bin/perl
#
# Save the settings in the config file.
#
# Author: Sven Backhausen <backhausen@lanthan.de>
#
require './nocat-lib.pl';
my $debug = 1;
&ReadParse;
&error_setup("Save Settings");
my %currentconfig = readcurrentconfig("$config{gateway_conf}", "gateway");
my $configref = &read_file_lines("$config{gateway_conf}");
open TMP, "> /tmp/save.test"
		or die "geht nicht. $!" if ($debug == 1);
if (exists $in{LocalNetwork_IP1}) {
	$in{LocalNetwork} = "$in{LocalNetwork_IP1}.$in{LocalNetwork_IP2}.$in{LocalNetwork_IP3}.$in{LocalNetwork_IP4}/$in{LocalNetwork_NM}";
	delete $in{LocalNetwork_IP1};
	delete $in{LocalNetwork_IP2};
	delete $in{LocalNetwork_IP3};
	delete $in{LocalNetwork_IP4};
	delete $in{LocalNetwork_NM};
} 
if (exists $in{DNSAddr_IP1}) {
	$in{DNSAddr} = "$in{DNSAddr_IP1}.$in{DNSAddr_IP2}.$in{DNSAddr_IP3}.$in{DNSAddr_IP4}";
	delete $in{DNSAddr_IP1};
	delete $in{DNSAddr_IP2};
	delete $in{DNSAddr_IP3};
	delete $in{DNSAddr_IP4};
}
if (exists $in{ExternalDevice}) {
	if ($in{ExternalDevice} eq "default") {
		$in{ExternalDevice} = "";
		$in{ExternalDevice_def} = 1;
	}
}
if (exists $in{InternalDevice}) {
	if ($in{InternalDevice} eq "default") {
		$in{InternalDevice} = "";
		$in{InternalDevice_def} = 1;
	}
}
if (exists $in{SyslogOptions}) {
		my @SyslogOptions = split /\0/, $in{SyslogOptions};
		$in{SyslogOptions} = join ",", @SyslogOptions;
}

foreach (reverse sort keys %in) {
	my $key = ();
	my $use_default = 0;
	my $mark_done = 0;
	if (/\w+_def/) {
		my @key = split /_/;
		$key = $key[0];
		$use_default = $in{$_};
	} else {
		if ($in{$_} eq "") {
			$use_default = 1;
		}
		$key = $_;
	}
	print TMP "\$_: $_ \$key: $key \$use_default: $use_default Value: $in{$_}\n" if ($debug == 1);
	foreach (@{$configref}) {
		if ( /^\s*\b$key\b\s+.*/ ) {
			if ($use_default == 1) {
				print TMP "Definition von $key gefunden.\n" if ($debug == 1);
				print TMP "-$_\n" if ($debug == 1);
				print TMP "+#$_\n" if ($debug == 1);
				$_ = "#" . $_;
			} else {
				print TMP "Definition von $key gefunden.\n" if ($debug == 1);
				print TMP "-$_\n" if ($debug == 1);
				print TMP "+$key	$in{$key}\n" if ($debug == 1);
				$_ = "$key	$in{$key}";
			}
			$mark_done = 1;
		}
	}
	if ($use_default == 1) {
		$in{$key} = "";
	} else {
		unless ($mark_done) {
			print TMP "Hnge an: $key	$in{$key}\n" if ($debug == 1);
			push(@{$configref},"$key	$in{$key}");
			$mark_done = 1;
		}
	}
}
close TMP if ($debug == 1);
&flush_file_lines;
&redirect("index_gateway.cgi");
