#! /usr/bin/perl
#
# Save/Delete a NoCat User.
#
# Author: Sven Backhausen <backhausen@lanthan.de>
#
use DBI;
use Digest::MD5  qw(md5_base64);
require './nocat-lib.pl';
&error_setup("Save User");
my %currentconfig = &readcurrentconfig("$config{authserv_conf}", "authserv");
&ReadParse();

if ($in{clear_pass_selected} == 1) {
	&error($text{'user_errminpasswdlen'}) if (length $in{'clear_pass'} < $currentconfig{MinPasswdLength});
	$in{Pass} = md5_base64($in{clear_pass});
}

&error($text{'user_errnousername'}) if ($in{User} eq "");

my $data_source = "$currentconfig{Database}";
my ($username, $password) = ("$currentconfig{DB_User}", "$currentconfig{DB_Passwd}");
my $dbh = DBI->connect($data_source, $username, $password)
	or die "No connection to mySQL-Server: $DBI::errstr\n";
my $statement;
my %field = &get_database_fielddef;

if ($in{action} eq Add) {
	$statement="Select User from $currentconfig{UserTable} WHERE User=\"$in{User}\"";
	my $exists=$dbh->do($statement);
	&error($text{'user_erruserexists'}) if ($exists > 0) ;
	$statement="INSERT INTO $currentconfig{UserTable} (User,Name,Pass,Status,Created,URL,Description)
			VALUES(\"$in{User}\",\"$in{Name}\",\"$in{Pass}\",\"$in{Status}\",NOW(),\"$in{URL}\",\"$in{Description}\")";
} elsif ($in{action} eq Save) {
	$statement="UPDATE $currentconfig{UserTable} SET User=\"$in{User}\",Name=\"$in{Name}\",Pass=\"$in{Pass}\",
			Status=\"$in{Status}\",URL=\"$in{URL}\",
			Description=\"$in{Description}\" WHERE User = \"$in{User}\"";
} elsif ($in{action} eq Delete) {
	$statement="DELETE FROM $currentconfig{UserTable}
			WHERE User = \"$in{User}\"";
}
$dbh->do($statement);
$dbh->disconnect;

&redirect("index_user.cgi");
